Bug 1644266 - Review Request: perl-Sentry-Raven - Perl sentry client
Summary: Review Request: perl-Sentry-Raven - Perl sentry client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 10:39 UTC by Xavier Bachelot
Modified: 2018-11-11 04:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-11 03:11:53 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2018-10-30 10:39:38 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Sentry-Raven.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Sentry-Raven-1.10-1.fc29.src.rpm
Description:
This module implements the recommended raven interface for posting events
to a sentry service.

Fedora Account System Username: xavierb

Comment 1 Jitka Plesnikova 2018-10-30 12:40:37 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Sentry-Raven-1.10-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(constant)
      1 perl(Data::Dump)
      1 perl(Devel::StackTrace)
      1 perl(English)
      1 perl(File::Basename)
      1 perl(HTTP::Request::Common)
      1 perl(HTTP::Status)
      1 perl(JSON::XS)
      1 perl(LWP::Protocol::https)
      1 perl(LWP::UserAgent)
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(Moo)
      1 perl(MooX::Types::MooseLike::Base)
      1 perl(strict)
      1 perl(Sys::Hostname)
      1 perl(Time::Piece)
      1 perl(URI)
      1 perl(UUID::Tiny)
      1 perl(:VERSION) >= 5.8.0
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Sentry-Raven-1.10-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(Sentry::Raven) = 1.10
      1 perl-Sentry-Raven = 1.10-1.fc30
      1 perl(Sentry::Raven::Processor::RemoveStackVariables)
Binary provides are Ok.

$ rpmlint ./perl-Sentry-Raven*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

BuildRequires
FIX: Please add build-requires
  - coreutils - because 'rm' is used in spec file
  - findutils - 'find' is used in spec file
  - make - is used in spec file
  - perl-interpreter or %{__perl} - it is used in spec file

If you want to add the package to EPEL, please ignore these two TODO
TODO: The easier way to remove .packlist is used NO_PACKLIST option,
      which is part of perl(ExtUtils::MakeMaker) >= 6.76. It can be
      used in all Fedoras. The command is
      %{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
TODO: Remove the deleting empty directories in %install section. This is
      default behavior for Fedoras.

Please correct all 'FIX' issues and consider fixing 'TODO' items.

Otherwise the package looks good.
Approved

Comment 2 Xavier Bachelot 2018-10-30 16:18:59 UTC
Thanks for the review Jitka.
I have corrected the FIX items, but not the TODOs as I want an EPEL 7 branch too.

Comment 3 Gwyn Ciesla 2018-10-30 16:32:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Sentry-Raven

Comment 4 Fedora Update System 2018-10-30 17:17:44 UTC
perl-Sentry-Raven-1.10-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-492b9ed69a

Comment 5 Fedora Update System 2018-10-30 17:17:50 UTC
perl-Sentry-Raven-1.10-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cff8d7f9

Comment 6 Fedora Update System 2018-10-31 17:31:28 UTC
perl-Sentry-Raven-1.10-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-492b9ed69a

Comment 7 Fedora Update System 2018-10-31 18:51:56 UTC
perl-Sentry-Raven-1.10-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cff8d7f9

Comment 8 Fedora Update System 2018-11-11 03:11:53 UTC
perl-Sentry-Raven-1.10-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-11 04:00:01 UTC
perl-Sentry-Raven-1.10-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.